<template>
  <div id="status">
    <el-tabs type="border-card" v-model="active">
      <el-tab-pane v-for="(i, index) in tabs" :key="`tabs-${index}`" :label="i.label" :name="i.status" :lazy="true">
        <list :status="i.status"></list>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import list from './list.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'status',
  props: {},
  components: { list },
  data: function () {
    return {
      active: '0',
      tabs: [
        { label: '资质审查中', status: '0' },
        { label: '企业准备订单', status: '1' },
        { label: '信息资料审查中', status: '2' },
        { label: '订单入库', status: '3' },
        { label: '创新券领取成功', status: '4' },
        { label: '资质审查失败', status: '-1' },
        { label: '信息资料审查失败', status: '-3' },
      ],
    };
  },
  created() {},
  methods: {},
  computed: {
    ...mapState(['user', 'menuParams']),
    pageTitle() {
      return `${this.$route.meta.title}`;
    },
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
};
</script>

<style lang="less" scoped></style>
